Skip to content

List channels

GET
/cms/channel/list
curl --request GET \
--url https://api.example.com/cms/channel/list \
--header 'API-Key: <API-Key>'

Returns a list of enabled channels. Supports filtering by type, description, and label via query parameters.

type
string

Filter by channel type (e.g., push, email, newsletter, etc.)

description
string

Filter by channel description

label
string

Filter by channel label (comma-separated for multiple)

List of channels

Media typeapplication/json
object
data
Array<object>
Channel

API representation of a channel

object
id

Channel ID

integer format: int64
name

Channel name

string
image

Channel image

string
description

Channel description

string
objectType

Object type

string
configuration

Channel configuration

object

Example generated

{
"data": [
{
"id": 1,
"name": "example",
"image": "example",
"description": "example",
"objectType": "example",
"configuration": {}
}
]
}